petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLayoutGetRanges

gets the range of values owned by all processes

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutGetRanges"
    PetscErrorCode  PetscLayoutGetRanges(PetscLayout map,const PetscInt *range[])

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

range -start of each processors range of indices (the final entry is one more then the last index on the last process)

### Notes

Call this after the call to PetscLayoutSetUp()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(),
PetscLayoutGetSize(), PetscLayoutGetRange(), PetscLayoutSetBlockSize(), PetscLayoutGetSize(), PetscLayoutSetUp()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages